[API Reference](../README.md) > [VestingSchemeSchemeProposalExecuted](../interfaces/VestingSchemeSchemeProposalExecuted.md)

# Interface: VestingSchemeSchemeProposalExecuted

## Hierarchy

 [SchemeProposalExecuted](SchemeProposalExecuted.md)

**↳ VestingSchemeSchemeProposalExecuted**

## Index

### Properties

* [agreementId](VestingSchemeSchemeProposalExecuted.md#agreementId)
* [avatarAddress](VestingSchemeSchemeProposalExecuted.md#avatarAddress)
* [proposalId](VestingSchemeSchemeProposalExecuted.md#proposalId)
* [winningVote](VestingSchemeSchemeProposalExecuted.md#winningVote)

---

## Properties

<a id="agreementId"></a>

###  agreementId

**● agreementId**: *`number`*

*Defined in [wrappers/vestingScheme.ts:632](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/vestingScheme.ts#L632)*

___
<a id="avatarAddress"></a>

###  avatarAddress

**● avatarAddress**: *[Address](../#Address)*

*Inherited from [SchemeProposalExecuted](SchemeProposalExecuted.md).[avatarAddress](SchemeProposalExecuted.md#avatarAddress)*

*Defined in [wrappers/commonEventInterfaces.ts:34](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/commonEventInterfaces.ts#L34)*

___
<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Inherited from [SchemeProposalExecuted](SchemeProposalExecuted.md).[proposalId](SchemeProposalExecuted.md#proposalId)*

*Defined in [wrappers/commonEventInterfaces.ts:36](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/commonEventInterfaces.ts#L36)*

___
<a id="winningVote"></a>

###  winningVote

**● winningVote**: *`number`*

*Inherited from [SchemeProposalExecuted](SchemeProposalExecuted.md).[winningVote](SchemeProposalExecuted.md#winningVote)*

*Defined in [wrappers/commonEventInterfaces.ts:35](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/commonEventInterfaces.ts#L35)*

___

